William Djaja Tjokroaminata wrote:
> 
> Hi,
> 
> I want to install the latest Ruby version for Windows that is available at
> http://www.rubycentral.com, which is version 1.6.3 (the one-click windows
> installer).
> 
> However, when I tried to install it, it complained that I have Ruby 1.6.2
> installed (which is true), so I had to uninstall it first.  Since I could
> not find any Ruby uninstaller utility, I tried to use my Windows 95
> add/remove programs utility.  But every time I invoked it, I always got
> errors and therefore I cannot uninstall Ruby 1.6.2.  I don't think simply
> removing the directories and files is a good idea.
> 
> Any suggestion on how I can uninstall 1.6.2 so that I can install
> 1.6.3?  Thanks.
> 
> Regards,
> 
> Bill

Would reinstalling 1.6.2 be a possible way for you?. If memory serves
right, recent Win installers offer some kind of repair/resintallation.

Anyway, I'd like to recommend

http://www.pragmaticprogrammer.com/ruby/downloads/ruby-install.html

to get the Win install kit. The other site (www.rubycentral.com) doesn't
seem to be updated as frequently.

BTW, the Win installer is in version 1.6.5 now, so your might like to
try that (works fine for me).

Hope that helped,

Stephan